import request from '@/utils/request'

// 查询用户建议记录列表
export function listProposal(query) {
  return request({
    url: '/major/proposal/list',
    method: 'get',
    params: query
  })
}

// 查询用户建议记录详细
export function getProposal(id) {
  return request({
    url: '/major/proposal/' + id,
    method: 'get'
  })
}

// 新增用户建议记录
export function addProposal(data) {
  return request({
    url: '/major/proposal',
    method: 'post',
    data: data
  })
}

// 修改用户建议记录
export function updateProposal(data) {
  return request({
    url: '/major/proposal',
    method: 'put',
    data: data
  })
}

// 删除用户建议记录
export function delProposal(id) {
  return request({
    url: '/major/proposal/' + id,
    method: 'delete'
  })
}
